summaryrefslogtreecommitdiffstats
path: root/deps/poppler
diff options
context:
space:
mode:
Diffstat (limited to 'deps/poppler')
-rw-r--r--deps/poppler/patches/poppler.remove.qt4.frontend.diff (renamed from deps/poppler/poppler.remove.qt4.frontend.diff)0
-rw-r--r--deps/poppler/patches/poppler.splashpath.h.revert.diff11
-rwxr-xr-xdeps/poppler/poppler.SlackBuild6
-rw-r--r--deps/poppler/poppler.splashpath.h.revert.diff42
4 files changed, 14 insertions, 45 deletions
diff --git a/deps/poppler/poppler.remove.qt4.frontend.diff b/deps/poppler/patches/poppler.remove.qt4.frontend.diff
index 2b58eb5..2b58eb5 100644
--- a/deps/poppler/poppler.remove.qt4.frontend.diff
+++ b/deps/poppler/patches/poppler.remove.qt4.frontend.diff
diff --git a/deps/poppler/patches/poppler.splashpath.h.revert.diff b/deps/poppler/patches/poppler.splashpath.h.revert.diff
new file mode 100644
index 0000000..4f008bd
--- /dev/null
+++ b/deps/poppler/patches/poppler.splashpath.h.revert.diff
@@ -0,0 +1,11 @@
+--- ./splash/SplashPath.h.orig 2018-06-19 16:16:47.000000000 -0500
++++ ./splash/SplashPath.h 2018-06-21 14:04:25.679001859 -0500
+@@ -137,6 +137,8 @@
+
+ friend class SplashXPath;
+ friend class Splash;
++ // this is a temporary hack, until we read FreeType paths directly
++ friend class ArthurOutputDev;
+ };
+
+ #endif
diff --git a/deps/poppler/poppler.SlackBuild b/deps/poppler/poppler.SlackBuild
index 55f1d77..1825e13 100755
--- a/deps/poppler/poppler.SlackBuild
+++ b/deps/poppler/poppler.SlackBuild
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=poppler
-VERSION=${VERSION:-0.65.0}
+VERSION=${VERSION:-0.66.0}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -82,10 +82,10 @@ cd ${PKGNAM}-$VERSION || exit 1
# At least for now, we will revert this patch since we have
# things that depend on it:
-cat $CWD/poppler.remove.qt4.frontend.diff | patch -p1 -R --verbose || exit 1
+cat $CWD/patches/poppler.remove.qt4.frontend.diff | patch -p1 -R --verbose || exit 1
# Revert a change to SplashPath.h (in 0.63.0) that breaks compiling the qt4 frontend:
-cat $CWD/poppler.splashpath.h.revert.diff | patch -p1 --verbose || exit 1
+cat $CWD/patches/poppler.splashpath.h.revert.diff | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
diff --git a/deps/poppler/poppler.splashpath.h.revert.diff b/deps/poppler/poppler.splashpath.h.revert.diff
deleted file mode 100644
index 6408606..0000000
--- a/deps/poppler/poppler.splashpath.h.revert.diff
+++ /dev/null
@@ -1,42 +0,0 @@
---- ./splash/SplashPath.h.orig 2018-03-18 13:23:49.000000000 -0500
-+++ ./splash/SplashPath.h 2017-12-03 13:25:06.000000000 -0600
-@@ -4,20 +4,6 @@
- //
- //========================================================================
-
--//========================================================================
--//
--// Modified under the Poppler project - http://poppler.freedesktop.org
--//
--// All changes made under the Poppler project to this file are licensed
--// under GPL version 2 or later
--//
--// Copyright (C) 2018 Albert Astals Cid <aacid@kde.org>
--//
--// To see a description of the changes please see the Changelog file that
--// came with your tarball or type make ChangeLog if you are building from git
--//
--//========================================================================
--
- #ifndef SPLASHPATH_H
- #define SPLASHPATH_H
-
-@@ -76,9 +62,6 @@
-
- ~SplashPath();
-
-- SplashPath(const SplashPath&) = delete;
-- SplashPath& operator=(const SplashPath&) = delete;
--
- // Append <path> to <this>.
- void append(SplashPath *path);
-
-@@ -133,6 +116,8 @@
-
- friend class SplashXPath;
- friend class Splash;
-+ // this is a temporary hack, until we read FreeType paths directly
-+ friend class ArthurOutputDev;
- };
-
- #endif